curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_slug}/warranty/inbound' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "Replacement tent pole set",
"message_body": "string",
"ticket_type": "string",
"first_name": "Ada",
"last_name": "Lovelace",
"address1": "548 Market St",
"city": "San Francisco",
"state": "CA",
"zipCode": "94107",
"country": "US",
"customer_email": "ada.lovelace@example.com",
"phone": "+1 415 555 0142",
"product": "string",
"osprey_product": "string",
"osprey_color": "string",
"color": "string",
"volume": "string",
"quantity": "string",
"tags": "priority"
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Ingest warranty webhook
Warranty workflow started for the ticket (idempotent per brand + ticket).
POST
/
v1
/
brands
/
{brand_slug}
/
warranty
/
inbound
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_slug}/warranty/inbound' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "Replacement tent pole set",
"message_body": "string",
"ticket_type": "string",
"first_name": "Ada",
"last_name": "Lovelace",
"address1": "548 Market St",
"city": "San Francisco",
"state": "CA",
"zipCode": "94107",
"country": "US",
"customer_email": "ada.lovelace@example.com",
"phone": "+1 415 555 0142",
"product": "string",
"osprey_product": "string",
"osprey_color": "string",
"color": "string",
"volume": "string",
"quantity": "string",
"tags": "priority"
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string (string)
required
Request body
WarrantyWebhookPayload
string
required
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
Response
StartWorkflowResponse
string
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Warranty workflow started for the ticket (idempotent per brand + ticket). |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_slug}/warranty/inbound' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "Replacement tent pole set",
"message_body": "string",
"ticket_type": "string",
"first_name": "Ada",
"last_name": "Lovelace",
"address1": "548 Market St",
"city": "San Francisco",
"state": "CA",
"zipCode": "94107",
"country": "US",
"customer_email": "ada.lovelace@example.com",
"phone": "+1 415 555 0142",
"product": "string",
"osprey_product": "string",
"osprey_color": "string",
"color": "string",
"volume": "string",
"quantity": "string",
"tags": "priority"
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026